| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ReadCondition Class Reference

A Condition specifically dedicated to read operations and attached to one DataReader. More...

`#include <ReadCondition.hpp>`

Inheritance diagram for ReadCondition:
[legend]

## Public Member Functions

| ReadCondition ()
| ~ReadCondition () override
| ReadCondition (const ReadCondition &)=delete
ReadCondition & | operator= (const ReadCondition &)=delete
| ReadCondition (ReadCondition &&)=delete
ReadCondition & | operator= (ReadCondition &&)=delete
FASTDDS_EXPORTED_API bool | get_trigger_value () const noexcept override
| Retrieves the trigger_value of the Condition.
FASTDDS_EXPORTED_API DataReader * | get_datareader () const noexcept
| Retrieves the DataReader associated with the ReadCondition.
FASTDDS_EXPORTED_API SampleStateMask | get_sample_state_mask () const noexcept
| Retrieves the set of sample_states taken into account to determine the trigger_value of this condition.
FASTDDS_EXPORTED_API ViewStateMask | get_view_state_mask () const noexcept
| Retrieves the set of view_states taken into account to determine the trigger_value of this condition.
FASTDDS_EXPORTED_API InstanceStateMask | get_instance_state_mask () const noexcept
| Retrieves the set of instance_states taken into account to determine the trigger_value of this condition.
detail::ReadConditionImpl * | get_impl () const noexcept
Public Member Functions inherited from Condition
detail::ConditionNotifier * | get_notifier () const

## Protected Attributes

std::shared_ptr< detail::ReadConditionImpl > | impl_
| Class implementation.
Protected Attributes inherited from Condition
std::unique_ptr< detail::ConditionNotifier > | notifier_

## Friends

class | detail::ReadConditionImpl

## Additional Inherited Members

Protected Member Functions inherited from Condition
| Condition ()
virtual | ~Condition ()

## Detailed Description

A Condition specifically dedicated to read operations and attached to one DataReader.

ReadCondition objects allow an application to specify the data samples it is interested in (by specifying the desired sample_states, view_states, and instance_states). The condition will only be triggered when suitable information is available. They are to be used in conjunction with a WaitSet as normal conditions. More than one ReadCondition may be attached to the same DataReader.

## Constructor & Destructor Documentation

## ◆ ReadCondition() [1/3]

ReadCondition | ( |  | ) |

## ◆ ~ReadCondition()

~ReadCondition | ( |  | ) |

override

## ◆ ReadCondition() [2/3]

ReadCondition | ( | const ReadCondition & |  | ) |

delete

## ◆ ReadCondition() [3/3]

ReadCondition | ( | ReadCondition && |  | ) |

delete

## Member Function Documentation

## ◆ get_datareader()

FASTDDS_EXPORTED_API DataReader * get_datareader | ( |  | ) | const

noexcept

Retrieves the DataReader associated with the ReadCondition.

Note that there is exactly one DataReader associated with each ReadCondition.

Returns
  pointer to the DataReader associated with this ReadCondition.

## ◆ get_impl()

detail::ReadConditionImpl * get_impl | ( |  | ) | const

inline noexcept

## ◆ get_instance_state_mask()

FASTDDS_EXPORTED_API InstanceStateMask get_instance_state_mask | ( |  | ) | const

noexcept

Retrieves the set of instance_states taken into account to determine the trigger_value of this condition.

Returns
  the instance_states specified when the ReadCondition was created.

## ◆ get_sample_state_mask()

FASTDDS_EXPORTED_API SampleStateMask get_sample_state_mask | ( |  | ) | const

noexcept

Retrieves the set of sample_states taken into account to determine the trigger_value of this condition.

Returns
  the sample_states specified when the ReadCondition was created.

## ◆ get_trigger_value()

FASTDDS_EXPORTED_API bool get_trigger_value | ( |  | ) | const

override virtual noexcept

Retrieves the trigger_value of the Condition.

Returns
  true if trigger_value is set to 'true', 'false' otherwise

Reimplemented from Condition.

## ◆ get_view_state_mask()

FASTDDS_EXPORTED_API ViewStateMask get_view_state_mask | ( |  | ) | const

noexcept

Retrieves the set of view_states taken into account to determine the trigger_value of this condition.

Returns
  the view_states specified when the ReadCondition was created.

## ◆ operator=() [1/2]

ReadCondition & operator= | ( | const ReadCondition & |  | ) |

delete

## ◆ operator=() [2/2]

ReadCondition & operator= | ( | ReadCondition && |  | ) |

delete

## Friends And Related Symbol Documentation

## ◆ detail::ReadConditionImpl

friend class detail::ReadConditionImpl

friend

## Member Data Documentation

## ◆ impl_

std::shared_ptr<detail::ReadConditionImpl> impl_

protected

Class implementation.

The documentation for this class was generated from the following file:

- include/fastdds/dds/subscriber/ReadCondition.hpp